"""schemas package"""

from deform import Form
from pkg_resources import resource_filename


def includeme(config):  # noqa: ARG001
    """Defining form templates overrides

    Activate this setup using ``config.include('ordr3.schemas')``.
    """
    # this allows to use the request object like this:
    # > request.flash(channel, message, description)
    ordr_templates = resource_filename("ordr3", "templates/deform")
    deform_templates = resource_filename("deform", "templates")
    search_path = (ordr_templates, deform_templates)

    Form.set_zpt_renderer(search_path)
