def includeme(config):
    """Initialize routes in a Pyramid app.

    Activate this setup using ``config.include('ordr3.routes')``.

    """
    settings = config.get_settings()
    age = int(settings.get("static_views.cache_max_age", 3600))
    config.add_static_view("static", "static", cache_max_age=age)
    config.add_static_view("deform", "deform:static", cache_max_age=age)
